BizKitHub
DocsAPI ReferenceExpense/bff/expense/mark-paid
postExpenseAdmin BFF

/bff/expense/mark-paid

Mark expense paid

ExpensepostBffExpenseMark-paid

Parameters

JSON body

Request body

application/json
externalIdstringRequired
Length: 2424
paidDatestringRequired

YYYY-MM-DD

paymentMethodstringOptional
Length: 032

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
alreadyPaidbooleanRequired

Response example

application/json
{
  "success": true,
  "alreadyPaid": false
}

Request example

POST /bff/expense/mark-paid

post
curl -X POST "https://api.bizkithub.com/bff/expense/mark-paid" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "externalId": "example_externalId",
  "paidDate": "example_paidDate",
  "paymentMethod": "example_paymentMethod"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key